### Hierarchy

- Atom

## Index

### Properties

- designMode

### Methods

- delay
- encodeParameters
- get
- postAsync
- url

## Properties

### Static designMode

designMode: boolean = false

- Defined in Atom.ts:7

## Methods

### Static delay

- delay(n: number, ct?: CancelToken): Promise<any>

- - Defined in Atom.ts:29

  Await till given milliseconds have passed

  #### Parameters

  - ##### n: number

  - ##### Optional ct: CancelToken

  #### Returns Promise<any>

### Static encodeParameters

- encodeParameters(p: INameValuePairs): string

- - Defined in Atom.ts:53

  #### Parameters

  - ##### p: INameValuePairs

  #### Returns string

### Static get

- get(target: any, path: string): any

- - Defined in Atom.ts:13

  #### Parameters

  - ##### target: any

  - ##### path: string

  #### Returns any

### Static postAsync

- postAsync(app: App, f: function): Promise<any>

- - Defined in Atom.ts:113

  Schedules given call in next available callLater slot and also returns promise that can be awaited, calling `Atom.postAsync` inside `Atom.postAsync` will create deadlock

  static
  memberof

    Atom

  #### Parameters

  - ##### app: App

  - ##### f: function

    - - (): Promise<any>

      - #### Returns Promise<any>

### Static url

- url(url: string, query?: INameValuePairs, hash?: INameValuePairs): string

- - Defined in Atom.ts:79

  #### Parameters

  - ##### url: string

  - ##### Optional query: INameValuePairs

  - ##### Optional hash: INameValuePairs

  #### Returns string

Generated using TypeDoc